<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

use \Teknisa\GER\Libraries\PHPMailer;
use Teknisa\PED\Controllers\TeknisaCrud;
use Teknisa\GER\Controllers\CrudController;
use Teknisa\PED\Modules\Pedidos\Services\Ped04900RecalculoComissaoVendedorService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use \Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
    
    class Ped04900RecalculoComissaoVendedorController extends TeknisaCrud {
        protected $environment;
        protected $recalculoComissaoVendedorService;
        
        public function __construct($crudService, ParameterBag $parameterBag, $environment, $recalculoComissaoVendedorService){
            $this->environment = $environment;
            $this->parameterBag = $parameterBag;
            $this->recalculoComissaoVendedorService = $recalculoComissaoVendedorService;
            parent::__construct($crudService, $parameterBag);
        }
        
        public function recalculoComissaoVendedor(DTO\Request $request, DTO\Response $response){
            $row = $request->getRow();
            $return = $this->recalculoComissaoVendedorService->recalculoComissaoVendedor($row);
        }
    }

?>