var  ped05900_composicao_preco_produto_Controller = function(ScreenService, General,templateManager, ZHPromise, restEngine, ZhFilterPreferences, MessageService){
                                                            
    
    this.startFiltering = function(widget){

        var promises = [];
        promises.push(ZhFilterPreferences.setOriginalFilter(widget.id));
        promises.push(ZhFilterPreferences.openFilterWidget(widget));
        ZHPromise.all(promises).then(function(rowSetFilter){
            this.setFilter(widget);
        }.bind(this)); 
    };
    
    this.setFilter = function(widget) {
        var filterRow = {};
        General.callRestEngine('ped#/crud/filial', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function(response) {
            filterRow.CDFILIAL = response.dataset.filial[0].CDFILIAL;
            filterRow.NMFILIAL = response.dataset.filial[0].NMFILIAL;
            templateManager.container.getActiveWidget().currentRow = filterRow;
        }.bind(this));
    };

    
    this.setDefaultTab = function(){
        var widget = templateManager.container.getWidget('widgetComposicao');
        widget.activate();
        widget.reload();
    };
    
    this.setDefaultValue = function(widget){
        widget.getField('NMITFORPRECO').readOnly = false;
        widget.getField('VRPEFORMPREC').readOnly = false;
        widget.getField('VRFATFORMPREC').readOnly = false;
        widget.getField('VRPEFORMPREC'). setValue('0');
        widget.getField('VRFATFORMPREC'). setValue('0');
       /* widget.currentRow.VRPEFORMPREC = 0;
        widget.currentRow.VRFATFORMPREC = 0;*/
    };
    this.editCompPreco = function(widget){
        widget.getField('VRPEFORMPREC').readOnly = false;
        widget.getField('VRFATFORMPREC').readOnly = false;
        widget.getField('NMITFORPRECO').readOnly = true;
        General.edit(widget);
    };
    
    this.disableField = function(){
        var widget = templateManager.container.getActiveWidget();
        if(widget.currentRow.VRPEFORMPREC != 0 && widget.currentRow.VRFATFORMPREC == 0 ){
            if(widget.currentRow.VRPEFORMPREC > 100){
                ScreenService.showMessage('O Percentual de Composição do Preço do Produto não pode ser maior que 100.');
                widget.getField('VRPEFORMPREC'). setValue('0');
            }else{
                widget.getField('VRFATFORMPREC').readOnly = true;
            }
        }else if (widget.currentRow.VRFATFORMPREC != 0 && widget.currentRow.VRPEFORMPREC == 0){
            widget.getField('VRPEFORMPREC').readOnly = true;
        }
    };
    
    this.openPopupformulaCalcPreco = function(){
        var widgetFormCalcPreco = templateManager.container.getWidget('widgetFormCalcPreco');
        widgetFormCalcPreco.isVisible = true;
        ScreenService.openPopup(widgetFormCalcPreco);
    };
    
    this.setDataSourceFilterApply = function(args){
         if(templateManager.container.getActiveWidget().isValid()){
            var rowPopup = templateManager.container.getActiveWidget().currentRow;
            var dataSourceFilter= [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": rowPopup.CDFILIAL
                }
            ];
            
            args.owner.dataSourceFilter = dataSourceFilter;
            args.owner.currentRow.CDTIPOCUSTO = rowPopup.CDTIPOCUSTO;
            args.owner.container.getWidget('widgetProduto').reload();
         }
    };

}; 

Configuration(function(ContextRegister){
    ContextRegister.register('ped05900_composicao_preco_produto_Controller', ped05900_composicao_preco_produto_Controller);
});                                                          