function Ped03500_tabelaMetaComissao_Repository(restEngine) {

    this.verificaValorInicial = function(VRINICVENDA,CDFILIAL, CDPRODUTO, CDCOMISSAO) {
        var filtro = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": CDFILIAL
            },
            {
                "name": "CDPRODUTO",
                "operator": "=",
                "value": CDPRODUTO
            },
            {
                "name": "CDCOMISSAO",
                "operator": "=",
                "value": CDCOMISSAO
            },
            {
                "name": "VRINICVENDA",
                "operator": "<=",
                "value": VRINICVENDA
            },
            {
                "name": "VRFINAVENDA",
                "operator": ">=",
                "value": VRINICVENDA
            }

        ];
        return restEngine.post('ped#/crud/itcomissao', {
            "requestType": "FilterData",
            "filter": filtro
        });
    };

     this.verificaValorFinal = function(VALORES, CDFILIAL, CDPRODUTO, CDCOMISSAO) {
        var filtro = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": CDFILIAL
            },
            {
                "name": "CDPRODUTO",
                "operator": "=",
                "value": CDPRODUTO
            },
            {
                "name": "CDCOMISSAO",
                "operator": "=",
                "value": CDCOMISSAO
            },
            {
                "name": "VRFINAVENDA",
                "operator": "BETWEEN",
                "value": VALORES
            }
        ];
        return restEngine.post('ped#/crud/itcomissao', {
            "requestType": "FilterData",
            "filter": filtro
        });
    };

    this.verificaValores = function(VALORES, CDFILIAL, CDPRODUTO, CDCOMISSAO) {
        var filtro = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": CDFILIAL
            },
            {
                "name": "CDPRODUTO",
                "operator": "=",
                "value": CDPRODUTO
            },
            {
                "name": "CDCOMISSAO",
                "operator": "=",
                "value": CDCOMISSAO
            },
            {
                "name": "VRINICVENDA",
                "operator": "BETWEEN",
                "value": VALORES
            }
        ];
        return restEngine.post('ped#/crud/itcomissao', {
            "requestType": "FilterData",
            "filter": filtro
        });
    };
    this.getNrSeq = function(row){
        return restEngine.post('ped_pedidos#/MetaVendaGetNrSeq', {
            "requestType": "Row",
            "row": row
        });
    };
    this.cadastroAutomaticoItem = function(row) {
        return restEngine.post('ped_pedidos#/itcomissao_cadastroautomatico', {
            "requestType": "Row",
            "row": row
        });
    };
    this.cadastroAutomaticoProduto = function(row){
         return restEngine.post('ped_pedidos#/prodmetavend_cadastroautomatico', {
            "requestType": "Row",
            "row": row
        });
    };

    this.delete = function(dataSource, row) {
        if(dataSource === 'ped_pedidos#/metavenda') {
            return restEngine.post('ped_pedidos#/metavenda', {
                "requestType": "Row",
                "row": row
            });
        }
        else if(dataSource === 'ped_pedidos#/comissao') {
             return restEngine.post('ped_pedidos#/comissao', {
                "requestType": "Row",
                "row": row
            });
        }
    };


}

Configuration(function(ContextRegister){
    ContextRegister.register('Ped03500_tabelaMetaComissao_Repository', Ped03500_tabelaMetaComissao_Repository);
});